# GstVulkanDescriptorCache

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstVulkanHandlePool
                    ╰──GstVulkanDescriptorCache

### Members

`parent` (GstVulkanHandlePool) –

the parent GstVulkanHandlePool

`pool` (GstVulkanDescriptorPool *) –

the GstVulkanDescriptorPool to cache descriptor sets for

Since : 1.18

### Class structure

#### GstVulkanDescriptorCacheClass

##### Fields

`parent_class` (GstVulkanHandlePoolClass) –

the parent GstObjectClass

Since : 1.18

### GstVulkan.VulkanDescriptorCacheClass

##### Attributes

`parent_class` (GstVulkan.VulkanHandlePoolClass) –

the parent Gst.ObjectClass

Since : 1.18

### GstVulkan.VulkanDescriptorCacheClass

##### Attributes

`parent_class` (GstVulkan.VulkanHandlePoolClass) –

the parent Gst.ObjectClass

Since : 1.18

## GstVulkan.VulkanDescriptorCache

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstVulkan.VulkanHandlePool
                    ╰──GstVulkan.VulkanDescriptorCache

### Members

`parent` (GstVulkan.VulkanHandlePool) –

the parent GstVulkan.VulkanHandlePool

`pool` (GstVulkan.VulkanDescriptorPool) –

the GstVulkan.VulkanDescriptorPool to cache descriptor sets for

Since : 1.18

## GstVulkan.VulkanDescriptorCache

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstVulkan.VulkanHandlePool
                    ╰──GstVulkan.VulkanDescriptorCache

### Members

`parent` (GstVulkan.VulkanHandlePool) –

the parent GstVulkan.VulkanHandlePool

`pool` (GstVulkan.VulkanDescriptorPool) –

the GstVulkan.VulkanDescriptorPool to cache descriptor sets for

Since : 1.18

### Constructors

#### gst_vulkan_descriptor_cache_new

    GstVulkanDescriptorCache *
    gst_vulkan_descriptor_cache_new (GstVulkanDescriptorPool * pool,
                                     guint n_layouts,
                                     GstVulkanHandle ** layouts)

Parameters:

`pool` –

a GstVulkanDescriptorPool

`n_layouts` –

number of layouts

`layouts` ( [array length=n_layouts]) –

list of GstVulkanHandle containing descriptor set layouts

Returns ( [transfer: full]) –

a new GstVulkanDescriptorCache

Since : 1.18

#### GstVulkan.VulkanDescriptorCache.prototype.new

    function GstVulkan.VulkanDescriptorCache.prototype.new(pool: GstVulkan.VulkanDescriptorPool, n_layouts: Number, layouts: [ GstVulkan.VulkanHandle ]): {
        // javascript wrapper for 'gst_vulkan_descriptor_cache_new'
    }

Parameters:

`pool` (GstVulkan.VulkanDescriptorPool) –

a GstVulkan.VulkanDescriptorPool

`n_layouts` (Number) –

number of layouts

`layouts` ([ GstVulkan.VulkanHandle ]) –

list of GstVulkan.VulkanHandle containing descriptor set layouts

Returns (GstVulkan.VulkanDescriptorCache) –

a new GstVulkan.VulkanDescriptorCache

Since : 1.18

#### GstVulkan.VulkanDescriptorCache.new

    def GstVulkan.VulkanDescriptorCache.new (pool, n_layouts, layouts):
        #python wrapper for 'gst_vulkan_descriptor_cache_new'

Parameters:

`pool` (GstVulkan.VulkanDescriptorPool) –

a GstVulkan.VulkanDescriptorPool

`n_layouts` (int) –

number of layouts

`layouts` ([ GstVulkan.VulkanHandle ]) –

list of GstVulkan.VulkanHandle containing descriptor set layouts

Returns (GstVulkan.VulkanDescriptorCache) –

a new GstVulkan.VulkanDescriptorCache

Since : 1.18

### Methods

#### gst_vulkan_descriptor_cache_acquire

    GstVulkanDescriptorSet *
    gst_vulkan_descriptor_cache_acquire (GstVulkanDescriptorCache * cache,
                                         GError ** error)

Parameters:

`cache` –

a GstVulkanDescriptorCache

`error` –

a GError

Returns –

a new GstVulkanDescriptorSet

Since : 1.18

#### GstVulkan.VulkanDescriptorCache.prototype.acquire

    function GstVulkan.VulkanDescriptorCache.prototype.acquire(): {
        // javascript wrapper for 'gst_vulkan_descriptor_cache_acquire'
    }

Parameters:

`cache` (GstVulkan.VulkanDescriptorCache) –

a GstVulkan.VulkanDescriptorCache

Returns (GstVulkan.VulkanDescriptorSet) –

a new GstVulkan.VulkanDescriptorSet

Since : 1.18

#### GstVulkan.VulkanDescriptorCache.acquire

    @raises(GLib.GError)
    def GstVulkan.VulkanDescriptorCache.acquire (self):
        #python wrapper for 'gst_vulkan_descriptor_cache_acquire'

Parameters:

`cache` (GstVulkan.VulkanDescriptorCache) –

a GstVulkan.VulkanDescriptorCache

Returns (GstVulkan.VulkanDescriptorSet) –

a new GstVulkan.VulkanDescriptorSet

Since : 1.18

The results of the search are